/*
 * This file is part of broccoli.
 * Copyright (C) 2019 Chair of Applied Mechanics, Technical University of Munich
 * https://www.amm.mw.tum.de/
 */

#pragma once // Load this file only once

#include "geometry/Polygon2D.hpp"

/** \defgroup broccoli_geometry_module broccoli Geometry Module
  * The *geometry* module provides classes for dealing with geometric primitives.
  * Include all functionalities of this module with
  * \code
  * #include <broccoli/geometry.hpp>
  * \endcode
  *
  * In order to keep compilation time low it is suggested that you include only the files you really need:
  *
  * File | Description
  * ---- | -----------
  * \code #include "geometry/Polygon2D.hpp" \endcode | Defines \ref broccoli::geometry::Polygon2D - \copybrief broccoli::geometry::Polygon2D
  */

// Documentation of namespace
namespace broccoli {
//! Namespace of \ref broccoli_geometry_module
namespace geometry {
}
}
