/*
 * This file is part of broccoli.
 * Copyright (C) 2019 Chair of Applied Mechanics, Technical University of Munich
 * https://www.amm.mw.tum.de/
 */

#pragma once // Load this file only once

#include "core.hpp"
#include "curve.hpp"
#include "geometry.hpp"
#include "io.hpp"
#include "memory.hpp"
#include "ode.hpp"
#include "parallel.hpp"

/** \defgroup broccoli_main_module broccoli Main Module
  * The *main* module contains **all** modules of this library.
  * You can conveniently include the complete library with
  * \code
  * #include <broccoli/main.hpp>
  * \endcode
  *
  * In order to keep compilation time low it is suggested that you include only the modules you really need:
  *
  * Module | Header | Namespace
  * ------ | ------ | ---------
  * \ref broccoli_core_module | \code #include "broccoli/core.hpp" \endcode | \ref broccoli::core
  * \ref broccoli_curve_module | \code #include "broccoli/curve.hpp" \endcode | \ref broccoli::curve
  * \ref broccoli_geometry_module | \code #include "broccoli/geometry.hpp" \endcode | \ref broccoli::geometry
  * \ref broccoli_io_module | \code #include "broccoli/io.hpp" \endcode | \ref broccoli::io
  * \ref broccoli_memory_module | \code #include "broccoli/memory.hpp" \endcode | \ref broccoli::memory
  * \ref broccoli_ode_module | \code #include "broccoli/ode.hpp" \endcode | \ref broccoli::ode
  * \ref broccoli_parallel_module | \code #include "broccoli/parallel.hpp" \endcode | \ref broccoli::parallel
  */

// Documentation of namespace
//! Namespace of \ref broccoli_main_module
/*! All contents of the broccoli library are defined within the namespace \ref broccoli or one of its sub-namespaces. */
namespace broccoli {
}
